@charset "utf-8";

/* タイトルの文字 */
#title {
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.sub-title {
  font-size: 1rem;
}

/* ナビゲーション */
#menu1 ul {
  list-style: none;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

#menu1 li a {
  display: inline-flex;
  background-color: #97bde1;
  border-radius: 50%;
  font-size: 1.125rem;
  aspect-ratio: 1;
  align-items: center;
  padding: 10px;
}

#menu1 a {
  color: #000;
}

#menu1 a:hover {
  opacity: 0.7;
}

#menu1 .current {
  display: inline-flex;
  background-color: #fff;
  border: solid 2px #97bde1;
  border-radius: 50%;
  font-size: 1.125rem;
  aspect-ratio: 1;
  align-items: center;
  padding: 10px;
}

#menu2 {
  border-top: solid 2px #97bde1;
  border-bottom: solid 2px #97bde1;
  background-color: #fff;
  height: 40px;
  line-height: 40px;
  position: relative;
  top: -30px;
}

#menu2 ul {
  list-style: none;
  display: flex;
  justify-content: space-between;
}

#menu2 a {
  color: #000;
}

#menu2 a:hover {
  color: #666;
}

/* トップコンテンツ-セクション */
#top-content {
  display: flex;
  gap: 100px;
  margin-top: 50px;
}

/* インフォメーション */
#info h2 {
  font-size: 2rem;
  color: #ca6397;
}

#info ul {
  height: 400px;
  overflow-y: scroll;
  margin: 30px 0;
  list-style-image: url(img_top/list_mark_info.png);
}

#info li {
  margin: 10px 20px;
  border-bottom: dashed 1px #ccc;
  text-align: left;
}

#top-content #left {
  width: 80%;
  text-align: center;
}

#top-content #right {
  width: 20%;
  display: flex;
  flex-direction: column;
  gap: 20px;
  text-align: center;
}

/* 業務内容-セクション */
#top-works {
  text-align: center;
}

#top-works h2 {
  width: 80%;
  background-color: #97bde1;
  border-radius: 16px;
  margin: 50px auto 20px;
  padding: 8px;
  font-size: 1.25rem;
  line-height: 1.25rem;
}

/* 作品 */
#top-sakuhin {
  width: 80%;
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  justify-content: space-around;
  margin: 20px auto;
}

/* 業務内容のグリッド */
#top-gyoumu {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 30px;
  width: 70%;
  margin: 0 auto 20px;
}

#top-gyoumu a {
  border: solid 2px #ccc;
  border-radius: 10px;
  padding: 10px;
  color: #ca6397;
}

#top-gyoumu a:hover {
  background-color: #e9d0dd;
}

/* ビギナー　セクション */
#beginner {
  background-color: rgba(151, 189, 225, 0.5);
  padding: 30px;
  margin: 50px 0;
}

#beginner-nav ul {
  font-size: 1rem;
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  margin: 10px 0;
  line-height: 2;
}

#beginner-nav li::after {
  content: "　|　";
}

#beginner-nav li a {
  color: #000;
}

#beginner-nav li a:hover {
  color: #666;
}




/*===== スマホ用 =====*/
@media screen and (max-width:1100px) {

  /* ヘッダー */
  #title {
    flex-direction: column;
    white-space: nowrap;
    border-bottom: solid 2px #97bde1;
    padding-bottom: 1rem;
  }

  #title h1 {
    font-size: clamp(14px, 24px, 32px);
  }

  .sub-title {
    font-size: clamp(12px, 16px, 20px);
  }

  /* インフォメーション */
  #info h2 {
    font-size: 1.25rem;
  }

  #info ul {
    height: 200px;
  }

  /* トップコンテンツ-セクション */
  #top-content {
    flex-direction: column;
  }

  #top-content #left,
  #top-content #right {
    width: 100%;
  }

  /* 作品 */
  #top-sakuhin {
    grid-template-columns: 1fr 1fr;
    gap: 10px;
  }

  /* 業務内容　セクション */
  #top-works h2 {
    width: 100%;
    line-height: 1.25;
  }

  #top-works p {
    text-align: left;
  }

  /* 業務内容のグリッド */
  #top-gyoumu {
    grid-template-columns: 1fr;
    width: 80%;
  }

  /* ビギナー　セクション */
  #beginner-nav ul {
    font-size: 0.75rem;
  }


}